Subject: bug#1693: closed (Re: nndoc confuses types mbox and mime-parts)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Sep 2010 17:46:05 +0000

Your bug report

#1693: nndoc confuses types mbox and mime-parts

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1693: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1693
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: nndoc confuses types mbox and mime-parts
From: Lars Magne Ingebrigtsen <[email-masked]>
To: "William F. Hammond" <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Sep 2010 19:45:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

William F Hammond <[email-masked]> writes:

> Yes, the C-u prefix with the correct type seems to work.  But, absent
> the prefix, interpreting a correct mbox with hundreds of messages as
> only the list of mime-parts of a single message makes gnus looks very
> silly.

This was fixed somewhat recently in the development version of Gnus, so
it should be working when Emacs 24 is released.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen

Subject: nndoc confuses types mbox and mime-parts
From: William F Hammond <[email-masked]>
To: undisclosed-recipients:;
Date: Wed, 24 Dec 2008 17:56:23 +0100 (MET)
Newsgroups: gnus.gnus-bug

Gnus v5.10.6
GNU Emacs 21.4.1 (sparc-sun-solaris2.9, X toolkit)
 of 2005-05-12 on hilbert.math.albany.edu
200 News.GigaNews.Com

On February 13 2005 Reiner Steib wrote in gnu.emacs.gnus:

> On Sat, Feb 12 2005, Pedro Kroger wrote:
> > I started tracking the problem down and it seems that the culprit is
> > multipart email sent by Microsoft Outlook Express 6.00 (or something
> > like that). It seems that gnus can't see others emails beyond that
> > point.
> 
> > Here is an example. This mbox file:
> 
> > http://www.pedrokroeger.net/gnus/bug-gnus
> 
> > has 2 messagens, as can be seen here in mutt:
> 
> > http://www.pedrokroeger.net/gnus/mutt-summary.png
> 
> [ I didn't look at this because I'm offline. ]
> 
> > But if I try to see this file in gnus using nndoc, I can see only one
> > message and it's parts: [...]
> 
> Concerning nndoc: Did you try the prefix argument of
> `gnus-group-make-doc-group' (C-u G f)?
> 
> ,----[ (info "(gnus)Foreign Groups") ]
> | `G f'
> |      Make a group based on some file or other
> |      (`gnus-group-make-doc-group').  If you give a prefix to this
> |      command, you will be prompted for a file name and a file type.
> |      Currently supported types are `mbox', `babyl', `digest', `news',
> |      `rnews', `mmdf', `forward', `rfc934', `rfc822-forward',
> |      `mime-parts', `standard-digest', `slack-digest', `clari-briefs',
> |      `nsmail', `outlook', `oe-dbx', and `mailman'.  If you run this
> |      command without a prefix, Gnus will guess at the file type.  *Note
> |      Document Groups::.
> `---- 

The issue has to do with nndoc groups built on mboxes.

Yes, the C-u prefix with the correct type seems to work.  But, absent
the prefix, interpreting a correct mbox with hundreds of messages as
only the list of mime-parts of a single message makes gnus looks very
silly.

I've seen this latency occasionally over the years, and I now believe
there is a bug though I have not looked into the code.

The problem happens when the first message in an mbox is multipart.
(It has nothing to do with Outlook; an example may be created entirely
using gnus.)

Here's what I did.

I made a simple HTML file and then used "lynx" to dump it to text.
I then mailed two messages to myself, the first a simple text message
consisting of the dumped text and the second a multipart message composed
in gnus with two attachments (disposition = attachment) where the first is
the dumped text and the second is the html version.

I then retrieved the two messages using gnus (nnmbox backend) and
saved both messages in two different mboxes that differ only in the
question of which of the two messages is saved first.

A new nndoc group built on the mbox that begins with the simple
message is handled correctly when read in gnus, but a new nndoc group
built on the other mbox (without prefix argument) is interpreted
incorrectly.

The most recent set-up I know where this experiment goes as I described
is emacs 22.1.1 with gnus v5.11, as packaged natively for Ubuntu 8.04.

                                    -- Bill